
kerio.waw.shared = kerio.waw.shared || {};
kerio.waw.shared.x_3e = {

x_gu: function() {},

x_3f: function(x_q1, x_2v) {
x_q1 = x_q1 || kerio.lib.x_1k7();
x_2v = x_2v || kerio.waw.shared.x_az.x_1k5;
kerio.lib.x_1k8(x_q1, x_2v);
},

x_3j: function(x_q1) {
x_q1 = x_q1 || kerio.lib.x_1k7();
if (x_q1.x_jt) { x_q1.x_jt();
}
kerio.lib.x_1k9(x_q1);
},

x_1ka: function(x_1c, x_g6, x_4e) {
if ('keypress' !== x_4e.browserEvent.type) {
return; }
var x_1kb = x_4e.button;
if (46 < x_1kb && 57 > x_1kb) {
return; }
var x_1kc = [
45, 12, 7,  -1  ];
for (var x_41 = 0, x_42 = x_1kc.length; x_41 < x_42; x_41++) {
if (x_1kc[x_41] === x_1kb) {
return;
}
}
if (x_4e.ctrlKey && (98 === x_1kb || 119 === x_1kb || 117 === x_1kb)) {
return; }
x_4e.stopEvent(); }, 
x_n5: function(x_1kd) {
var x_1ke;
if ('number' === typeof x_1kd) {
x_1ke = new Date(x_1ke * 1000);
} else {
x_1ke = new Date(x_1kd.year, x_1kd.month, x_1kd.day);
}
return x_1ke.format('j. F Y');
}, 
x_n1: function(x_1kf) {
var x_1kd = new Date(1, 1, 1970, x_1kf.hour, x_1kf.min);
return x_1kd.format('H:i');
}, 
x_1kg: function(x_1kh, x_1ki) {
if (!x_1kh) {
return [];
}
x_1ki = x_1ki || ';';
var x_1kj = x_1kh.split(x_1ki);
return x_1kj;
}, 
x_ib: function(x_6q) {
var x_9u = x_6q.x_9u;
if (!x_9u || kerio.lib.x_6b.x_1kk !== x_9u.x_3h) {
kerio.lib.x_nq('Internal error: No valid Select formitem defined for ListLoader', 'SharedMethods', 'ListLoader');
return;
}
var x_16x = {
x_1kl: x_6q,
x_1km: false,
x_1kn: false,
x_7c: kerio.waw.shared.x_3r.x_7c };
x_9u.x_gh = x_16x; var x_ic = x_16x.x_1kl.x_ic;
if ('string' === typeof x_ic) { switch (x_ic) {
case 'x_id':
x_ic = {
x_rw: 'IpAddressGroupManager',
x_6p: 'getGroupList',
x_28: {},
x_68: 'groups',
x_1ko: 'id',
x_1kp: 'name',
x_5z: [{'x_a6': kerio.lib.x_x('Any', 'ipAddressGroupList'), 'x_1j': x_16x.x_7c}]
};
break;
case 'x_ml':
x_ic = {
x_rw: 'UrlGroupManager',
x_6p: 'getGroupList',
x_28: {},
x_68: 'groups',
x_1ko: 'id',
x_1kp: 'name',
x_5z: [{'x_a6': kerio.lib.x_x('Any', 'urlGroupList'), 'x_1j': x_16x.x_7c}]
};
break;
case 'x_if':
x_ic = {
x_rw: 'TimeRangeManager',
x_6p: 'getGroupList',
x_28: {},
x_68: 'groups',
x_1ko: 'id',
x_1kp: 'name',
x_5z: [{'x_a6': kerio.lib.x_x('Always', 'timeRangeList'), 'x_1j': x_16x.x_7c}]
};
break;
case 'x_1kq':
x_ic = {
x_rw: 'InterfaceManager',
x_6p: 'get',
x_28: { sortByGroup: false,
query: kerio.waw.shared.x_az.x_b0('x_1iz')
},
x_68: 'interfaces',
x_1ko: 'id',
x_1kp: 'name',
x_5z: [{'x_a6': kerio.lib.x_x('Any', 'interfaceList'), 'x_1j': x_16x.x_7c}]
};
break;
case 'x_16y':
x_ic = {
x_rw: 'InterfaceManager',
x_6p: 'get',
x_28: { sortByGroup: false,
query: kerio.waw.shared.x_az.x_b0('x_1ix')
},
x_68: 'interfaces',
x_1ko: 'id',
x_1kp: 'name',
x_5z: [{'x_a6': kerio.lib.x_x('Any', 'interfaceList'), 'x_1j': x_16x.x_7c}]
};
break;
case 'x_1kr':
x_ic = {
x_rw: 'InterfaceManager',
x_6p: 'get',
x_28: { sortByGroup: false,
query: kerio.waw.shared.x_az.x_b0('x_1iy')
},
x_68: 'interfaces',
x_1ko: 'id',
x_1kp: 'name',
x_5z: [{'x_a6': kerio.lib.x_x('None', 'configurationImport'), 'x_1j': x_16x.x_7c}]
};
if (kerio.waw.shared.x_3r.x_3s.x_3t === kerio.waw.shared.x_3r.x_3s.x_3u) {
x_ic.x_5z.push( {'x_a6': kerio.lib.x_x('New PPPoE Interface', 'configurationImport'), 'x_1j': 'x_1ks'},
{'x_a6': kerio.lib.x_x('New PPTP Interface', 'configurationImport'), 'x_1j': 'x_1kt'}
);
}
break;
default:
kerio.lib.x_nq('Internal error: x_ib does not support sending request for ' + x_ic);
} x_16x.x_1kl.x_ic = x_ic; if (x_16x.x_1kl.x_vf === false) {
x_ic.x_5z = [];
}
} else if ('object' !== x_ic || !x_ic.x_rw) {
kerio.lib.x_nq('Internal error: x_ib does not support list of type ' + (typeof x_ic)
+ ' or the object does not contain required settings!');
} 
x_16x.x_1ku = function() {
return x_16x.x_1km;
};
x_16x.x_4y = function() {
var x_ic = x_16x.x_1kl.x_ic;
this.x_1km = false;
var x_1kv = {
x_28: {
object: x_ic.x_rw,
method: x_ic.x_6p,
params: kerio.lib.x_6r(x_ic.x_28 || {})
},
x_2e: x_16x.x_1kw,
x_2q: x_16x
};
kerio.lib.x_6t.x_6u(x_1kv);
};

x_16x.x_1kw = function(x_6v) {
var x_dg = x_6v.x_ac;
if (!x_dg) {
return; }
else {
x_16x.x_7k(x_dg);
}
};

x_16x.x_7k = function(x_28) {
var
x_6q = x_16x.x_1kl,
x_1o = x_6q.x_1o || {},
x_9u = x_6q.x_9u,
x_ic = x_6q.x_ic,
x_87 = x_28[x_ic.x_68] || [],
x_5z = x_ic.x_5z || [],
x_g6,
x_41, x_42;
for (x_41 = 0, x_42 = x_87.length; x_41 < x_42; x_41++) {
x_g6 = x_87[x_41];
x_5z.push({
'x_a6': x_g6[x_ic.x_1kp],
'x_1j': x_g6[x_ic.x_1ko]
}); } x_9u.x_8f();
x_9u.x_an(x_5z);
x_16x.x_1km = true; x_16x.x_1r(false); x_16x.x_gi(x_1o);
kerio.waw.shared.x_3e.x_3j();
}; 
x_16x.x_gi = function(x_1o) {
var
x_6q = x_16x.x_1kl,
x_9u = x_6q.x_9u,
x_1j,
x_a6;
x_1o = x_1o || {}; x_16x.x_1kl.x_1o = x_1o;
if (!x_16x.x_1ku()) {
return;
}
x_1j = x_1o.x_1j || x_1o.id;
x_a6 = x_1o.x_a6 || x_1o.name;
if (undefined !== x_1j && x_9u.x_ao(x_1j)) {
x_9u.x_9w(x_1j);
return;
}
x_1j = x_1j || '';
if ('string' === typeof x_a6 && '' !== x_a6) {
x_9u.x_an({
x_1j: x_1j,
x_a6: x_a6
});x_9u.x_9w(x_1j); return;
}
x_16x.x_1kx();
}; 
x_16x.x_2t = function(x_1ky, x_1kz) {
var
x_s8 = {},
x_9u = x_16x.x_1kl.x_9u,
x_1j = x_9u.x_2t(),
x_a6 = x_9u.x_vj();
if (x_16x.x_7c === x_1j) { x_1j   = '';
x_a6 = '';
}
if (x_16x.x_1kn) { x_1j   = '';
x_a6 = '';
}
x_s8[x_1ky || 'id'] = x_1j;
x_s8[x_1kz || 'name'] = x_a6;
return x_s8;
};

x_16x.x_vi = function() {
return (x_16x.x_1kn || 0 >= x_16x.x_1kl.x_9u.x_am());
};

x_16x.x_1kx = function() {
var
x_6q = x_16x.x_1kl,
x_9u = x_6q.x_9u,
x_7c = x_16x.x_7c;
if (x_9u.x_ao(x_7c)) {
x_9u.x_9w(x_7c);
return;
}
if (0 < x_9u.x_am()) {
x_9u.x_1h5(0);
return;
}
x_16x.x_1r();
}; 
x_16x.x_1r = function(x_1r) {
var x_6q = x_16x.x_1kl;
var x_9u = x_6q.x_9u;
x_9u.x_85(x_1r);
x_16x.x_1kn = x_1r;
if (false !== x_1r) {
x_9u.x_9w(kerio.lib.x_x('No items available', 'common'));
}
}; x_16x.x_1r(); 
x_16x.x_2h = function() {
var x_6q = x_16x.x_1kl;
x_6q.x_9u.x_7k(x_6q.x_ic.x_5z);
}; return x_16x;
}, 
x_1l0: function(x_2b, x_6q) {
if (!x_2b) {
kerio.lib.x_nq('Internal error: You must pass a widget into addValidationControllers method!');
return;
}
var x_o = (kerio.waw.status.x_p.x_q === kerio.waw.shared.x_3r.x_s.x_t);
var x_1l1 = kerio.lib.x_6b;
x_6q = x_6q || {};
var x_p6 = x_6q.x_p6 || x_2b.x_q3 || x_2b.x_p6 || x_2b.x_1c
|| ((x_1l1.x_1l2 === x_2b.x_3h) ? x_2b : undefined);
if (!x_p6) {
kerio.lib.x_nq('Internal error: You must define a list of forms for addValidationControllers method!');
return;
}
if (Array !== x_p6.constructor) { if (x_1l1.x_1l2 === x_p6.x_3h) { x_p6 = [ x_p6 ]; }
else if (x_p6.x_p6 && Array === x_p6.x_p6.constructor) { x_p6 = x_p6.x_p6; }
} x_2b.x_1l3 = x_p6;
for (var x_41 = 0, x_42 = x_p6.length; x_41 < x_42; x_41++) {
x_p6[x_41].x_27({
x_b6: x_2b
});
}
var x_32 = x_2b.x_32;
if (x_32 && (x_1l1.x_1l4 === x_32.x_3h)) {
x_32.x_b6 = x_2b;
}
if ((x_1l1.x_1l5 === x_2b.x_3h)) {
x_6q.x_1l6 = (false !== x_6q.x_1l6); }
else {
x_6q.x_1l6 = false; }
x_2b.x_1l7 = (undefined !== x_6q.x_1l8)
? x_6q.x_1l8 : !x_6q.x_1l6; 
x_2b.x_1l9 = (x_o)
? kerio.waw.shared.x_3e.x_gu
: kerio.waw.shared.x_3e.x_1l9;

x_2b.x_1la = (x_o)
? kerio.waw.shared.x_3e.x_gu
: kerio.waw.shared.x_3e.x_1lb;

x_2b.x_1lc = (x_o)
? kerio.waw.shared.x_3e.x_gu
: kerio.waw.shared.x_3e.x_1ld;

x_2b.x_1le = (x_o)
? kerio.waw.shared.x_3e.x_gu
: kerio.waw.shared.x_3e.x_1lf;

x_2b.x_1lg = (x_o)
? kerio.waw.shared.x_3e.x_gu
: kerio.waw.shared.x_3e.x_1lh;

x_2b.x_1li = (x_o)
? kerio.waw.shared.x_3e.x_gu
: kerio.waw.shared.x_3e.x_1lj;

x_2b.x_1lk = kerio.waw.shared.x_3e.x_1ll;

if (x_6q.x_1l6) {
x_2b.x_jo = kerio.waw.shared.x_3e.x_1lm;
} }, 
x_1lm: function(){
if (!this.x_1la || !this.x_1lk) {
kerio.lib.x_nq('Internal error: shared resetOnClose can be used only in scope of widget that addValidationControllers was used on!');
return;
}
if (this.x_1l7) { this.x_1la(); }
this.x_1lk();
}, 
x_1lb: function(x_1r) {
this.x_1l7 = (false === x_1r);
}, 
x_1ld: function(x_bg) {
this.x_1la(false === x_bg); }, 
x_1l9: function() {
if (this.x_1ln) {
return this.x_1ln; }
this.x_1ln = {}; var x_1lo = {};
var x_1e;
var x_p6 = this.x_1l3;
if (Array !== x_p6.constructor) {
kerio.lib.x_nq('Internal error: Cannot create validation cache - invalid list of forms!');
}
var x_42 = x_p6.length;
if (0 >= x_42) {
kerio.lib.x_nq('Internal error: No forms found!\nValidation cache is empty, elements validated-by-id will not be validated.');
return []; }
if (1 === x_42) {
this.x_1ln = x_p6[0].x_1e;
return this.x_1ln;
}
for (var x_41 = 0; x_41 < x_42; x_41++) {
x_1e = x_p6[x_41].x_1e;
for (var x_g6 in x_1e) { if ('function' === typeof x_1e[x_g6]) {
continue; }
if (undefined === x_1lo[x_g6]) {
x_1lo[x_g6] = x_p6[x_41].x_1e[x_g6];
}
else {
kerio.lib.x_nq('Internal error: Found duplicate id "' + x_g6 + '"!\nRemove duplicates or don\'t use validate-by-id feature!\n(Elements with this id will not be validated.)');
x_1lo[x_g6] = null; } } } this.x_1ln = x_1lo;
return x_1lo;
}, 
x_1lf: function(x_bh){
return;
}, 
x_1lh: function(x_1lp) {
kerio.lib.x_nq('Method x_1lg is deprecated!');
var x_p6 = this.x_1l3;
var x_1c;
for (var x_41 = 0, x_42 = x_p6.length; x_41 < x_42; x_41++) {
x_1c = x_p6[x_41];
if (x_1c.x_o4 &&  !x_1c.x_o4()) {
kerio.waw.shared.x_3e.x_j2(kerio.lib.x_x('Some values are missing or invalid.', 'common'));
if ('function' === typeof this.x_24) { this.x_24(false, '', 0); }
return (true === x_1lp) ? x_41 : false; }
}
return true;
},

x_1lj: function(){
if (this.x_2o.x_rq) {
return;
}
if (kerio.lib.x_6b.x_1l5 === this.x_3h) {
return;
}
kerio.waw.status.x_14.x_15(true);
}, 
x_1ll: function(x_p6) {
x_p6 = x_p6 || this.x_1l3 || this.x_p6 || [];
for (var x_41 = 0, x_42 = x_p6.length; x_41 < x_42; x_41++) {
if ('function' === typeof x_p6[x_41].x_2h) {
x_p6[x_41].x_2h();
}
}
}, 
x_db: function(x_6q, x_rx, x_qj, x_qk){
var x_da, x_1lq, x_2q;
if (Array === x_6q.constructor && 'function' === typeof x_rx) { x_da = x_6q;
x_1lq = null;
x_2q = this;
}
else if ('object' === typeof x_6q && undefined === x_rx && x_6q.x_da && Array === x_6q.x_da.constructor && 'function' === typeof x_6q.x_2e) { x_da = x_6q.x_da;
x_rx = x_6q.x_2e;
x_1lq = x_6q.x_2s || null;
x_2q = x_6q.x_2q || this;
x_qj = x_6q.x_qj;
x_qk = x_6q.x_qk;
}
else {
kerio.lib.x_nq('Internal error: You must either call sendBatch with params x_da and x_2e or with object containing those two values!');
}
var x_1kv = {
x_28: {
object: 'BatchExecution',
method: 'execute',
params: kerio.lib.x_6r({
errorProneMode: (false !== x_qj)
? kerio.waw.shared.x_3r.x_1lr.x_1ls
: kerio.waw.shared.x_3r.x_1lr.x_1lt,
commandList: x_da
}) }, x_2e: x_rx,
x_2q: x_2q,
x_ma: (true !== x_qk ? false : true)
};
if (x_1lq) {
x_1kv.x_2s = x_1lq;
}
return kerio.lib.x_6t.x_6u(x_1kv);
}, 
x_rr: function(x_2b, x_p6) {
if (!x_2b) {
kerio.lib.x_nq('Internal error: You must pass a widget into addBatchControllers method!');
return;
}x_p6 = x_p6 || x_2b.x_q3 || x_2b.x_p6 || x_2b.x_1c;
if (!x_p6) {
kerio.lib.x_nq('Internal error: You must define a list of forms for addBatchControllers method!');
return;
}
if (Array !== x_p6.constructor) { if (kerio.lib.x_6b.x_1l2 === x_p6.x_3h) { x_p6 = [ x_p6 ]; }
else if (x_p6.x_p6 && Array === x_p6.x_p6.constructor) { x_p6 = x_p6.x_p6; }
} x_2b.x_1lu = x_p6;

if (!kerio.waw.shared.x_3e.x_1lv) {
kerio.waw.shared.x_3e.x_1lv = function(x_zw){
var x_1lw = kerio.waw.shared.x_3r.x_1lx;
var x_1n = '';
switch (x_zw) {
case x_1lw.x_1ly:
x_1n = kerio.lib.x_x('Another server communication is in progress. Please wait a while and then try again.', 'common');
break;
case x_1lw.x_1lz:
x_1n = kerio.lib.x_x('Error occured in the connection to the server!', 'common');
break;
}
if ('' !== x_1n) {
kerio.waw.shared.x_3e.x_j2(x_1n);
}
}; }
if (!kerio.waw.shared.x_3r.x_1lx) {
kerio.waw.shared.x_3r.x_1lx = {
x_1m0: 0,
x_1ly: 1,
x_1lz: 2
};
}

x_2b.x_qy = function(x_rt) {
if (this.x_32) { this.x_32.x_3b('x_34', false); this.x_32.x_3b('x_30', false); }
var x_p6 = this.x_1lu;
var x_1c, x_1m1, x_6u;
var x_da = [];
var x_28 = [];
var x_dj, x_1m2;
for (var x_41 = 0, x_1m3 = x_p6.length; x_41 < x_1m3; x_41++) {
x_1c = x_p6[x_41];
if (undefined !== x_1c.x_rs) {
x_1m1 = x_1c.x_rs(false !== x_rt); for (x_dj = 0, x_1m2 = x_1m1.length; x_dj < x_1m2; x_dj++) {
x_6u = x_1m1[x_dj];
x_da.push({
object: x_6u.x_rw,
method: x_6u.x_6p,
params: x_6u.x_28
});
x_28.push({
x_1c: x_1c,
x_rx: x_6u.x_rx || x_6u.x_2e
});
} } else {
if (x_1c.x_2c) {
x_1c.x_2c({
x_rt: x_rt
}); }
} } var x_f4 = {
x_da: x_da,
x_2e: this.x_1m4,
x_2s: x_28,
x_2q: this
};
kerio.waw.shared.x_3e.x_db(x_f4);
}; 
x_2b.x_qx = function(x_s2) {
if (this.x_32) { this.x_32.x_3b('x_34', false); this.x_32.x_3b('x_30', false); }
var x_p6 = this.x_1lu;
var x_1c, x_1m1, x_6u;
var x_da = [];
var x_41, x_1m3, x_dj = 0, x_1m2;
for (x_41 = 0, x_1m3 = x_p6.length; x_41 < x_1m3; x_41++) {
x_1c = x_p6[x_41];
if (undefined !== x_1c.x_ry) {
x_1m1 = x_1c.x_ry(false !== x_s2); for (x_dj = 0, x_1m2 = x_1m1.length; x_dj < x_1m2; x_dj++) {
x_6u = x_1m1[x_dj];
x_da.push({
object: x_6u.x_rw,
method: x_6u.x_6p,
params: x_6u.x_28
});
} } } var x_f4 = {
x_da: x_da,
x_2e: this.x_1m5,
x_2s: {
x_s2: x_s2,
x_1m6: x_da.length
},
x_2q: this
};
kerio.waw.shared.x_3e.x_db(x_f4);
}; 
x_2b.x_1m4 = function(x_6v, x_6w, x_28) {
if (!x_6v.x_6x) {
kerio.waw.shared.x_3e.x_3j();
return; }
var x_47 = x_6v.x_ac.batchResult;
if (x_47.length !== x_28.length) {
kerio.waw.shared.x_3e.x_1lv(kerio.waw.shared.x_3r.x_1lx.x_1lz);
kerio.waw.shared.x_3e.x_3j();
return;
}
for (var x_41 = 0, x_42 = x_28.length, x_1m7; x_41 < x_42; x_41++) {
x_1m7 = x_28[x_41];
if ('function' === typeof x_1m7.x_rx) { x_1m7.x_rx.call(x_1m7.x_1c, x_47[x_41]);
}
}
kerio.waw.status.x_14.x_15(false);
kerio.waw.shared.x_3e.x_3j();
}; 
x_2b.x_1m5 = function(x_6v, x_6w, x_28) {
if (!x_6v.x_6x) {
kerio.waw.shared.x_3e.x_3j();
return; }
var x_47 = x_6v.x_ac.batchResult;
if (x_47.length !== x_28.x_1m6) {
kerio.waw.shared.x_3e.x_1lv(kerio.waw.shared.x_3r.x_1lx.x_1lz);
return;
}
if (kerio.lib.x_6b.x_1l5 !== this.x_3h) {
kerio.waw.status.x_14.x_15(false);
}
if (x_28.x_s2) {
this.x_qy(); }
else {
kerio.waw.shared.x_3e.x_3j();
}
}; }, 
x_j2: function(x_1m8, x_1y, x_2e) {
if ('string' !== typeof x_1y || '' === x_1y) {
x_1y = kerio.lib.x_x('Error', 'common');
}
if ('object' === typeof x_1m8) {
if (x_1m8.message) {
x_1m8 = kerio.waw.shared.x_3e.x_qm(x_1m8);
}
else {
kerio.lib.x_nq('Internal error: x_j2 called with bad LocalizableMessage!');
x_1m8 = null;
}
}
else if ('string' === typeof x_1m8 ) {
if ('' === x_1m8) { kerio.lib.x_nq('Internal error: x_j2 called with empty error message!');
x_1m8 = null;
} } else {
kerio.lib.x_nq('Internal error: x_j2 called with unsupported error message!');
x_1m8 = null;
}
if (x_1m8) {
if (x_2e) {
kerio.waw.shared.x_3e.x_1m9 = x_2e;
}
kerio.lib.x_48(x_1y, x_1m8, kerio.waw.shared.x_3e.x_1ma);
}
}, 
x_1ma: function() {
if (kerio.waw.shared.x_3e.x_1m9) {
kerio.waw.shared.x_3e.x_1m9.x_74.call(kerio.waw.shared.x_3e.x_1m9.x_2q);
delete kerio.waw.shared.x_3e.x_1m9;
}
kerio.waw.shared.x_3e.x_3j();
}, 
x_qm: function(x_1m8) {
var x_6q = {};
if (!x_1m8 || !x_1m8.message) {
kerio.lib.x_nq('Server Error: Invalid message for translation.', 'sharedMethods', 'translateErrorMessage');
return '';
}
if (x_1m8.positionalParameters) {
x_6q.x_49 = x_1m8.positionalParameters;
}
if (x_1m8.isSecure) {
x_6q.x_ke = x_1m8.isSecure;
}
if (x_1m8.plurality) {
x_6q.x_fo = x_1m8.plurality;
}
return kerio.lib.x_x(x_1m8.message, 'serverMessage', x_6q);
}, 
x_122: function(x_1mb, x_121, x_vy) {
if (!(x_1mb instanceof kerio.lib.x_1t || x_1mb instanceof kerio.lib.x_q2)) {
return;
}
var x_12q = kerio.waw.shared.x_3r.x_12q;
x_1mb.x_2k(['x_1j9', 'x_1ja', 'x_1jb'], false);
var x_79;
switch (x_121) {
case x_12q.x_137:
x_79 = 'x_1j9';
x_1mb.x_2k([x_79], true);
break;
case x_12q.x_139:
x_79 = 'x_1ja';
x_1mb.x_2k([x_79], true);
break;
case x_12q.x_135:
if (true !== x_1mb.x_16w) {
return;
}
x_79 = 'x_1jb';
x_1mb.x_2k([x_79], true);
break;
default:
return;} x_1mb.x_84([x_79], (x_vy !== kerio.waw.shared.x_3r.x_133.x_134));
},
x_4y: function (x_rw, x_6p, x_28, x_2e, x_2q) {
var x_j4 = {
x_28: {
object: x_rw,
method: x_6p,
params: kerio.lib.x_6r(x_28)
},
x_2e: (x_2e ? x_2e : undefined),
x_2q: (x_2q ? x_2q : this)
};
return kerio.lib.x_6t.x_6u(x_j4);
},
x_127: function (x_28, x_2e) {
kerio.waw.shared.x_3e.x_4y('InterfaceManager', 'set', x_28,
(x_2e ? x_2e : this.x_jk),
this);
},
x_iq: function(x_bk, x_rw, x_1mc){
var x_bl;
if (!x_rw) {
x_rw = this;
}
if ('object' === typeof x_bk
&& null !== x_bk && !(Array === x_bk.constructor || x_bk instanceof kerio.lib.x_1md || undefined !== x_bk.x_3h )) {
if ('string' !== typeof x_1mc || '' === x_1mc) {
for (x_bl in x_bk) {
kerio.waw.shared.x_3e.x_iq(x_bk[x_bl], x_rw, x_bl);
}
}
else {
if (!x_rw[x_1mc]) {
x_rw[x_1mc] = {}; }
for (x_bl in x_bk) {
kerio.waw.shared.x_3e.x_iq(x_bk[x_bl], x_rw[x_1mc], x_bl);
}
}
}
else { x_rw[x_1mc] = x_bk;
}
return x_rw;
},
x_ej: function (x_13x, x_2e, x_2q) {
kerio.waw.shared.x_3e.x_4y(
'VpnRouteManager',
kerio.waw.shared.x_az.x_1ic[x_13x],
{},
(x_2e ? x_2e : undefined),
(x_2q ? x_2q : this)
);
},
x_fj: function(x_q1, x_1me) {
var x_17 = kerio.lib.x_6b;
var x_3l;
if (x_q1) {
switch (x_q1.x_3h) { case x_17.x_6c:
x_3l = x_q1;
break;
case x_17.x_1l4:
case x_17.x_1mf:
x_3l = x_q1.x_3m;
break;
default:
x_3l = x_q1.x_3m || x_q1.x_5d || x_q1.x_9d;
break;
}
}
if (false !== x_1me && (!x_3l || x_17.x_6c !== x_3l.x_3h)) {
kerio.lib.x_nq('Internal error: grid not found in given widget!');
return; }
return x_3l;
}, 
x_q0: function(x_1mg, x_1mc, x_1mh) {
var
x_s8 = [],
x_1o;
for (var x_41 = 0, x_42 = x_1mg.length; x_41 < x_42; x_41++) {
x_1o = x_1mg[x_41][x_1mc];
switch (x_1mh) {
case undefined:
x_s8.push(x_1o);
break;
case 'array':
if (x_1o && Array === x_1o.constructor) {
x_s8.push(x_1o);
}
break;
case 'x_q1':
if (x_1o && (x_1o instanceof kerio.lib.x_1md || undefined !== x_1o.x_3h)) {
x_s8.push(x_1o);
}
break;
case '': if (undefined !== x_1o) {
x_s8.push(x_1o);
}
break;
default:
if (x_1mh === typeof x_1o) {
x_s8.push(x_1o);
}
break;
}
}
return x_s8;
}, 
x_cw: function(x_1mi) {
var x_cx, x_1p, x_d1,
x_x = kerio.lib.x_x;
if (!x_1mi || undefined === x_1mi.name || undefined === x_1mi.domainName) {
return {
x_cx: '',
x_cz: ''
};
}
if (x_1mi.name) { x_cx = x_1mi.name;
if (x_1mi.domainName) { x_cx += '@' + x_1mi.domainName;
}
if (true === x_1mi.isGroup) { x_1p = 'userGroupIcon';
}
else {
x_1p = 'userIcon';
}
}
else { x_cx = '{' + x_1mi.id + '}';
x_1p = 'userList userUnknown';
x_d1 = x_x('This user or group is from a mapped domain that is currently unavailable.', 'common');
}
return {
x_cx: x_cx,
x_cz: x_1p,
x_d1: x_d1 };
}, 
x_1cs: function(x_28) {
var
x_1ck = x_28.x_1ck,
x_1g5 = x_28.x_1g5,
x_1ct = x_28.x_1ct,
x_6p = x_28.x_6p,
x_1cl = x_28.x_1cl,
x_dh;
if (!x_1ck || Array !== x_1ck.constructor) {
return ''; }
if ('number' !== typeof x_1ct || 0 >= x_1ct) {
x_1ct = 0;
}
var x_42 = x_1ck.length - x_1ct; if ('number' !== typeof x_1g5 || 0 > x_1g5) {
x_1g5 = x_42;
}
x_1g5 = Math.min(x_1g5, x_42); var x_zv = [];
for (var x_41 = 0; x_41 < x_1g5; x_41++) {
x_dh = x_6p(x_1ck[x_41 + x_1ct]);
x_zv.push(x_dh[x_1cl]);
}
return x_zv.join(', ');
}, 
x_1jk: function() {
if (kerio.lib.x_6b.x_6c !== this.x_3h) {
kerio.lib.x_nq('Internal error: Method isDefaultRuleSelected can be called only on the Grid! (check your scope ;)');
return false;
}
var x_1mj = this.x_1dq('x_h5', true);
var x_41 = 0, x_42;
if (Array === x_1mj.constructor) {
for (x_41 = 0, x_42 = x_1mj.length; x_41 < x_42; x_41++) {
if (this.x_1jn(x_1mj[x_41])) {
return true;
}
}
}
return false;
},

x_1gl: function(x_1mk) {
var
x_1ea = kerio.waw.shared.x_3r.x_1eb,
x_x = kerio.lib.x_x,
x_gc = '',
x_1fh = x_1mk.comparator,
x_1eo = x_1mk.ports;
switch (x_1fh) {
case x_1ea.x_1fe:     x_gc = x_1eo;
break;
case x_1ea.x_1cw:        x_gc = x_1eo[0] + ' - ' + x_1eo[1];
break;
case x_1ea.x_1f0:
x_gc = x_x('Any', 'serviceList');
break;
case x_1ea.x_1fg:    x_gc = x_x('Less than %1', 'serviceList', { x_49: x_1eo });
break;
case x_1ea.x_1ff: x_gc = x_x('Greater than %1', 'serviceList', { x_49: x_1eo });
break;
case x_1ea.x_10v:         x_gc = x_1eo.join(', ');
break;
}
return x_gc;
},
x_1c0: function(x_a6, x_ln) {
var
x_1p = 'serviceIcon ';
if (kerio.waw.shared.x_3r.x_mp.x_ms === x_ln) {
x_1p += 'added';
}
else {
if (kerio.waw.shared.x_3r.x_mp.x_mt === x_ln) {
x_1p += 'modified';
}
}
return {
x_47: x_a6,
x_cy: x_1p
};
},
x_1cj: function(x_28) {
var
x_1ck = x_28.x_1ck,
x_1cl = x_28.x_1cl,
x_6p = x_28.x_6p,
x_1gy = x_1ck.length,
x_1ml = kerio.lib.x_qc,
x_1mm,
x_1o,x_d1;x_d1 = x_1ml(kerio.waw.shared.x_3e.x_1cs(
{	x_1ck: x_1ck,
x_6p: x_6p,
x_1cl: x_1cl
}
)
)
|| undefined; switch (x_1gy) {
case 1:
case 2:
case 3:
x_1o = x_d1; break;
default:
x_1mm = x_1gy - 2;
x_1o = x_1ml(
kerio.lib.x_x('%1, %2 and %3 more', 'ftpRuleList', {
x_49: [
x_6p(x_1ck[0])[x_1cl],
x_6p(x_1ck[1])[x_1cl],
x_1mm
],
x_fo: x_1mm
}));
break;
}
return {
x_1o: x_1o,
x_d1: x_d1
};
},
x_kg: function(x_1o, x_47) {
var
x_155 = kerio.waw.shared.x_3r.x_kh,
x_mo = kerio.waw.shared.x_3r.x_mp,
x_x = kerio.lib.x_x,
x_1mn = x_47.type,
x_cy;
if (x_155.x_13n === x_1mn) {
return {
x_47: x_x('No interfaces are assigned to this group.', 'interfaceList'),
x_1p: 'emptyGroup'
};
}
x_cy = 'interfaceIcon';
switch (x_1mn) {
case x_155.x_12o:
x_cy += ' interfaceEthernet';
break;
case x_155.x_158:
x_cy += ' interfaceRas';
break;
case x_155.x_11w:
x_cy += ' interfaceDialIn';
break;
case x_155.x_12w:
x_cy += ' interfaceVpnServer';
x_1o = x_x('VPN Server', 'interfacesList');
break;
case x_155.x_15a:
x_cy += ' interfaceVpnTunnel';
if (x_mo.x_ms === x_47.status) {
x_cy += ' itemAdded';
}
break;
case 'x_1mo':
x_cy += ' interfaceHeaderIcon groupInternet';
break;
case 'x_1mp':
x_cy += ' interfaceHeaderIcon groupTrusted';
break;
case 'x_1mq':
x_cy += ' interfaceHeaderIcon interfaceVpnServer';
break;
case 'x_1mr':
x_cy += ' interfaceAllVpnTunnels';
break;
case x_155.x_ki:
x_cy = ''; x_1o = x_x('<Unassigned>', 'interfaceList');
break;
} if (x_47.ras && x_47.ras.dead) {
x_cy += ' dead';
}
else if (!x_47.enabled && x_155.x_158 !== x_1mn) { x_cy += ' dead';
}
if (x_mo.x_mt === x_47.status) {
x_cy += ' itemModified';
}
if (x_mo.x_ms === x_47.status) {
x_cy += ' itemNew';
}
return {
x_47: x_1o,
x_cy: x_cy
};
}, 
x_od: function(x_1ms, x_1mt) {
var
x_1mu = [],
x_bl, x_1o;
if ('object' !== typeof x_1ms) {
return null;
}
for (x_bl in x_1ms) {
x_1o = x_1ms[x_bl];
if ('object' === typeof x_1o || 'function' === typeof x_1o) {
continue; }
x_1mu[x_1o] = x_bl;
}
if (x_1mt) {
kerio.waw.shared.x_3e.x_iq(x_1ms, x_1mu);
}
return x_1mu;
}, 
x_jr: function(x_47, x_1dm) {
var
x_1mv = {},
x_1mc,
x_1mw,
x_1o;
for (x_1mc in x_47) {
x_1mw = x_1dm[x_1mc];
if (!x_1mw) {
continue; }
x_1o = x_47[x_1mc];
if ('function' === typeof x_1mw) {
kerio.waw.shared.x_3e.x_iq(
x_1mw(x_1mc, x_1o, x_47),
x_1mv
); }
else if ('string' === typeof x_1mw) {
x_1mv[x_1mw] = x_1o;
}
else {
kerio.lib.x_nq('Internal error: Invalid property map. Unsupported type '+(typeof x_1mw), 'sharedMethods::mapProperty');
}
} return x_1mv;
}, 
x_1mx: function(x_47) {
var
x_1my = x_47.userCondition,
x_41, x_42, x_1b4;
if (kerio.waw.shared.x_3r.x_1c8.x_1ci !== x_1my.type) {
return false;
}
x_1b4 = x_1my.users;
for (x_41 = 0, x_42 = x_1b4.length; x_41 < x_42; x_41++) {
if ('' === x_1b4[x_41].name) {
return true;
}
}
return false;
},
x_uc: function() {
var
x_1mz = false,
x_is;
x_is = this.x_iw(kerio.waw.shared.x_3e.x_1mx);
if (x_is) {
x_1mz = 'x_ud';
}
return x_1mz;
},
x_ug: function(x_47) {
if (kerio.waw.shared.x_3r.x_1c8.x_1cg === x_47.userCondition.type) {
return true;
}
if (('' !== x_47.validAddressGroup.id) && x_47.validAddressGroup.invalid) {
return true;
}
return false;
},
x_1k4: function(x_6v) {
var x_x = kerio.lib.x_x;
this.x_24(false);
if (x_6v.x_6x) {
kerio.lib.x_48(x_x('Success', 'common'), x_x('Connection to domain controller was successful.', 'domainsAdDomainEditor'));
}
}, 
x_1n0: function(x_12b) {
var
x_41,
x_1n1 = x_12b.split('.'),
x_s8 = parseInt(x_1n1[0], 10),
x_1n2 = 256; for (x_41 = 1; x_41 < 4; x_41++) {
x_s8 = (x_s8 * x_1n2) + parseInt( x_1n1[x_41], 10); }
return x_s8;
}, 
x_1n3: function(x_12b) {
var x_s8;
if (!kerio.waw.shared.x_3e.x_1n4.x_t2(x_12b)) {
return []; }
x_s8 = x_12b.split('.');
return [
parseInt(x_s8[0], 10),
parseInt(x_s8[1], 10),
parseInt(x_s8[2], 10),
parseInt(x_s8[3], 10)
];
},

x_17i: function(x_1f) {
var
x_br,
x_x = kerio.lib.x_x,
x_1n5 = [],
x_1n6,
x_1n7,
x_1n8,
x_1e;
x_1n6 = {
x_1f: 'x_1g',
x_1e: [
{	x_1f: 'x_b3',
x_1e: [
{	x_1f: 'x_1kd',
x_1j: 'x_1n9',
x_23: x_x('Valid from:', 'sslCertificate'),
x_5p: true,
x_1u: 100
},
{	x_1j: 'x_1na',
x_1l: true,
x_5p: true,
x_1u: 100
}
]},
{	x_1f: 'x_b3',
x_1e: [
{	x_1f: 'x_1kd',
x_1j: 'x_183',
x_23: x_x('Valid to:', 'sslCertificate'),
x_5p: true,
x_1u: 100
},
{	x_1j: 'x_1nb',
x_1l: true,
x_5p: true,
x_1u: 100
}
]}
]
};x_1n7 = {
x_23: x_x('Fingerprint:', 'sslCertificate'),
x_1j: 'x_1nc',
x_5p: true
};x_1n8 = {
x_1j: 'x_1nd',
x_1f: 'x_1i',
x_1l: true,
x_1m: true,
x_1o: '',
x_x6: '/admin/weblib/int/lib/img/status',
x_1p: 'userMessage warning'
};switch (x_1f) {
case 'x_79':
x_1e = [
{	x_23: x_x('Hostname:', 'sslCertificate'),
x_1j: 'x_1ne',
x_5p: true
},
{	x_23: x_x('Organization name:', 'sslCertificate'),
x_1j: 'x_1nf',
x_5p: true
}
];x_1e.push(x_1n6);
x_1e.push(x_1n7);
x_1e.push(
{	x_1f: 'x_b3',
x_1e: [
'->',
{	x_23: x_x('Manage SSL Certificate…', 'sslCertificate'),
x_1j: 'x_1ng',
x_1f: 'x_rc',

x_25: function(x_1c) {
kerio.lib.x_5l.x_5m({
x_5g: 'sslCertificateDetails',
x_n: 'x_1nh',
x_28: {
x_9d: x_1c.x_16,
x_47: {
x_150: x_1c.x_16.x_5d.x_150
}
}
});
}}
]}
);
x_1e.push(x_1n8);
x_br = kerio.lib.x_a1(
{	x_a2: 120,
hu: 135,
es: 135
});
x_1n5 = {
x_1f: 'x_79',
x_br: x_br,
x_1p: 'formLastContainer',
x_1j: 'x_150',
x_23: x_x('SSL Certificate', 'sslCertificate'),
x_1e: x_1e
};break;
case 'x_1ni':
x_1e = [x_1n7, x_1n6, x_1n8];
x_br = kerio.lib.x_a1(
{	x_a2: 100,
ja: 110
});
x_1n5 = {
x_1f: 'x_1g',
x_br: x_br,
x_1p: 'marginTop',
x_1j: 'x_150',
x_1e: x_1e
};break;
}return x_1n5;
},
x_18b: function(x_1c, x_150) {
var
x_1nj = kerio.waw.shared.x_3r.x_1nj,
x_1nk = x_1c.x_29('x_183'),
x_1nl = x_1c.x_29('x_1nb'),
x_x = kerio.lib.x_x,
x_1nm = x_150.subject,
x_1nn = x_150.validPeriod,
x_1no = x_1nn.validType,
x_1np = true,
x_1nq = x_150.valid,
x_1nr = {},
x_1m8 = '',
x_1ne,
x_1nf,
x_41, x_42;
if (!x_1nq) {
x_1c.x_2k(['x_1nd'], true);
x_1c.x_7k({
x_1nd: x_x('The certificate is not valid.', 'sslCertificate')
});
return;} else if (x_1nj.x_1ns !== x_1no) {
switch (x_1no) {
case x_1nj.x_1nt:
x_1m8 = x_x('The certificate is not valid yet.', 'sslCertificate');
break;
case x_1nj.x_1nu:
x_1m8 = x_x('The certificate will expire soon.', 'sslCertificate');
break;
case x_1nj.x_1nv:
x_1m8 = x_x('The certificate has already expired.', 'sslCertificate');
break;
}
if (x_1nj.x_1nt !== x_1no) {
x_1nk.x_se('redText');
x_1nl.x_se('redText');
}
x_1np = false;
} else {
x_1nk.x_sd('redText');
x_1nl.x_sd('redText');
}
for (x_41 = 0, x_42 = x_1nm.length; x_41 < x_42; x_41++) {
switch (x_1nm[x_41].name) {
case 'hostname':
x_1ne = x_1nm[x_41].value;
break;
case 'organizationName':
x_1nf = x_1nm[x_41].value;
break;
}
}
x_1nr = {
x_1nc: x_150.fingerprint,
x_1ne: x_1ne,
x_1nf: x_1nf,
x_1n9: kerio.waw.shared.x_3e.x_1nw(x_1nn.validFromDate),
x_1na: kerio.waw.shared.x_3e.x_n1(x_1nn.validFromTime),
x_183: kerio.waw.shared.x_3e.x_1nw(x_1nn.validToDate),
x_1nb: kerio.waw.shared.x_3e.x_n1(x_1nn.validToTime),
x_1nd: x_1m8
};
x_1c.x_2k(['x_1nd'], !x_1np);
x_1c.x_7k(x_1nr);
},
x_1nw: function(x_1kd) {
return new Date(x_1kd.year, x_1kd.month, x_1kd.day).getTime() / 1000;
},
x_184: function () {
Ext.form.TriggerField.prototype.onDisable.apply(this, arguments);
this.el.dom.removeAttribute('disabled');
}}; 
kerio.adm.x_17.x_es.prototype.x_1nx = kerio.adm.x_17.x_es.prototype.x_1ny;

kerio.adm.x_17.x_es.prototype.x_1ny = function(x_32, x_5c) {
if (x_5c && 0 === x_32.x_3m.x_3v.x_40.length) {
kerio.waw.shared.x_3e.x_3j();
return;
}
x_32.x_1nx(x_32, x_5c);
};x_fi = kerio.waw.shared.x_3e;